Viewing docs for vra 0.17.0
published on Tuesday, Mar 10, 2026 by vmware
published on Tuesday, Mar 10, 2026 by vmware
Viewing docs for vra 0.17.0
published on Tuesday, Mar 10, 2026 by vmware
published on Tuesday, Mar 10, 2026 by vmware
This data source provides information about a catalog item.
Example Usage
S
This is an example of how to get a catalog item by its name.
import * as pulumi from "@pulumi/pulumi";
import * as vra from "@pulumi/vra";
const _this = vra.getCatalogItem({
name: catalogItemName,
expandVersions: true,
});
import pulumi
import pulumi_vra as vra
this = vra.get_catalog_item(name=catalog_item_name,
expand_versions=True)
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/vra/vra"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vra.GetCatalogItem(ctx, &vra.GetCatalogItemArgs{
Name: pulumi.StringRef(catalogItemName),
ExpandVersions: pulumi.BoolRef(true),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vra = Pulumi.Vra;
return await Deployment.RunAsync(() =>
{
var @this = Vra.GetCatalogItem.Invoke(new()
{
Name = catalogItemName,
ExpandVersions = true,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vra.VraFunctions;
import com.pulumi.vra.inputs.GetCatalogItemArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var this = VraFunctions.getCatalogItem(GetCatalogItemArgs.builder()
.name(catalogItemName)
.expandVersions(true)
.build());
}
}
variables:
this:
fn::invoke:
function: vra:getCatalogItem
arguments:
name: ${catalogItemName}
expandVersions: true
This is an example of how to get a catalog item by its id.
import * as pulumi from "@pulumi/pulumi";
import * as vra from "@pulumi/vra";
const _this = vra.getCatalogItem({
id: catalogItemId,
expandVersions: true,
});
import pulumi
import pulumi_vra as vra
this = vra.get_catalog_item(id=catalog_item_id,
expand_versions=True)
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/vra/vra"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vra.GetCatalogItem(ctx, &vra.GetCatalogItemArgs{
Id: pulumi.StringRef(catalogItemId),
ExpandVersions: pulumi.BoolRef(true),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vra = Pulumi.Vra;
return await Deployment.RunAsync(() =>
{
var @this = Vra.GetCatalogItem.Invoke(new()
{
Id = catalogItemId,
ExpandVersions = true,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vra.VraFunctions;
import com.pulumi.vra.inputs.GetCatalogItemArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var this = VraFunctions.getCatalogItem(GetCatalogItemArgs.builder()
.id(catalogItemId)
.expandVersions(true)
.build());
}
}
variables:
this:
fn::invoke:
function: vra:getCatalogItem
arguments:
id: ${catalogItemId}
expandVersions: true
Using getCatalogItem
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCatalogItem(args: GetCatalogItemArgs, opts?: InvokeOptions): Promise<GetCatalogItemResult>
function getCatalogItemOutput(args: GetCatalogItemOutputArgs, opts?: InvokeOptions): Output<GetCatalogItemResult>def get_catalog_item(expand_projects: Optional[bool] = None,
expand_versions: Optional[bool] = None,
id: Optional[str] = None,
name: Optional[str] = None,
project_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCatalogItemResult
def get_catalog_item_output(expand_projects: Optional[pulumi.Input[bool]] = None,
expand_versions: Optional[pulumi.Input[bool]] = None,
id: Optional[pulumi.Input[str]] = None,
name: Optional[pulumi.Input[str]] = None,
project_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCatalogItemResult]func GetCatalogItem(ctx *Context, args *GetCatalogItemArgs, opts ...InvokeOption) (*GetCatalogItemResult, error)
func GetCatalogItemOutput(ctx *Context, args *GetCatalogItemOutputArgs, opts ...InvokeOption) GetCatalogItemResultOutput> Note: This function is named GetCatalogItem in the Go SDK.
public static class GetCatalogItem
{
public static Task<GetCatalogItemResult> InvokeAsync(GetCatalogItemArgs args, InvokeOptions? opts = null)
public static Output<GetCatalogItemResult> Invoke(GetCatalogItemInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCatalogItemResult> getCatalogItem(GetCatalogItemArgs args, InvokeOptions options)
public static Output<GetCatalogItemResult> getCatalogItem(GetCatalogItemArgs args, InvokeOptions options)
fn::invoke:
function: vra:index/getCatalogItem:getCatalogItem
arguments:
# arguments dictionaryThe following arguments are supported:
- Expand
Projects bool - Flag to indicate whether to expand detailed project data for the catalog item.
- Expand
Versions bool - Flag to indicate whether to expand detailed versions of the catalog item.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Project
Id string - The id of the project to narrow the search while looking for catalog items.
- Expand
Projects bool - Flag to indicate whether to expand detailed project data for the catalog item.
- Expand
Versions bool - Flag to indicate whether to expand detailed versions of the catalog item.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Project
Id string - The id of the project to narrow the search while looking for catalog items.
- expand
Projects Boolean - Flag to indicate whether to expand detailed project data for the catalog item.
- expand
Versions Boolean - Flag to indicate whether to expand detailed versions of the catalog item.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - project
Id String - The id of the project to narrow the search while looking for catalog items.
- expand
Projects boolean - Flag to indicate whether to expand detailed project data for the catalog item.
- expand
Versions boolean - Flag to indicate whether to expand detailed versions of the catalog item.
- id string
- The id of catalog item. One of
idornamemust be provided. - name string
- Name of the catalog item. One of
idornamemust be provided. - project
Id string - The id of the project to narrow the search while looking for catalog items.
- expand_
projects bool - Flag to indicate whether to expand detailed project data for the catalog item.
- expand_
versions bool - Flag to indicate whether to expand detailed versions of the catalog item.
- id str
- The id of catalog item. One of
idornamemust be provided. - name str
- Name of the catalog item. One of
idornamemust be provided. - project_
id str - The id of the project to narrow the search while looking for catalog items.
- expand
Projects Boolean - Flag to indicate whether to expand detailed project data for the catalog item.
- expand
Versions Boolean - Flag to indicate whether to expand detailed versions of the catalog item.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - project
Id String - The id of the project to narrow the search while looking for catalog items.
getCatalogItem Result
The following output properties are available:
- Created
At string - Date-time when catalog item version was created at.
- Created
By string - The user the entity was created by.
- Description string
- A human-friendly description.
- Form
Id string - ID of the form associated with this catalog item.
- Global bool
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- Icon
Id string - ID of the icon associated with this catalog item.
- Id string
- Id of the catalog item version.
- Last
Updated stringAt - Date when the entity was last updated. The date is ISO 8601 and UTC.
- Last
Updated stringBy - The user the entity was last updated by.
- Name string
- Name of the entity.
- Project
Ids List<string> - List of associated project IDs that can be used for requesting this catalog item.
- Projects
List<Get
Catalog Item Project> - List of associated projects that can be used for requesting this catalog item.
- Schema string
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- Source
Id string - LibraryItem source ID.
- Source
Name string - LibraryItem source name.
- Source
Project stringId - Project ID with which the catalog item was associated when created.
- Types
List<Get
Catalog Item Type> - Versions
List<Get
Catalog Item Version> - Catalog item versions.
- Expand
Projects bool - Expand
Versions bool - Project
Id string
- Created
At string - Date-time when catalog item version was created at.
- Created
By string - The user the entity was created by.
- Description string
- A human-friendly description.
- Form
Id string - ID of the form associated with this catalog item.
- Global bool
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- Icon
Id string - ID of the icon associated with this catalog item.
- Id string
- Id of the catalog item version.
- Last
Updated stringAt - Date when the entity was last updated. The date is ISO 8601 and UTC.
- Last
Updated stringBy - The user the entity was last updated by.
- Name string
- Name of the entity.
- Project
Ids []string - List of associated project IDs that can be used for requesting this catalog item.
- Projects
[]Get
Catalog Item Project - List of associated projects that can be used for requesting this catalog item.
- Schema string
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- Source
Id string - LibraryItem source ID.
- Source
Name string - LibraryItem source name.
- Source
Project stringId - Project ID with which the catalog item was associated when created.
- Types
[]Get
Catalog Item Type - Versions
[]Get
Catalog Item Version - Catalog item versions.
- Expand
Projects bool - Expand
Versions bool - Project
Id string
- created
At String - Date-time when catalog item version was created at.
- created
By String - The user the entity was created by.
- description String
- A human-friendly description.
- form
Id String - ID of the form associated with this catalog item.
- global Boolean
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- icon
Id String - ID of the icon associated with this catalog item.
- id String
- Id of the catalog item version.
- last
Updated StringAt - Date when the entity was last updated. The date is ISO 8601 and UTC.
- last
Updated StringBy - The user the entity was last updated by.
- name String
- Name of the entity.
- project
Ids List<String> - List of associated project IDs that can be used for requesting this catalog item.
- projects
List<Get
Catalog Item Project> - List of associated projects that can be used for requesting this catalog item.
- schema String
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- source
Id String - LibraryItem source ID.
- source
Name String - LibraryItem source name.
- source
Project StringId - Project ID with which the catalog item was associated when created.
- types
List<Get
Catalog Item Type> - versions
List<Get
Catalog Item Version> - Catalog item versions.
- expand
Projects Boolean - expand
Versions Boolean - project
Id String
- created
At string - Date-time when catalog item version was created at.
- created
By string - The user the entity was created by.
- description string
- A human-friendly description.
- form
Id string - ID of the form associated with this catalog item.
- global boolean
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- icon
Id string - ID of the icon associated with this catalog item.
- id string
- Id of the catalog item version.
- last
Updated stringAt - Date when the entity was last updated. The date is ISO 8601 and UTC.
- last
Updated stringBy - The user the entity was last updated by.
- name string
- Name of the entity.
- project
Ids string[] - List of associated project IDs that can be used for requesting this catalog item.
- projects
Get
Catalog Item Project[] - List of associated projects that can be used for requesting this catalog item.
- schema string
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- source
Id string - LibraryItem source ID.
- source
Name string - LibraryItem source name.
- source
Project stringId - Project ID with which the catalog item was associated when created.
- types
Get
Catalog Item Type[] - versions
Get
Catalog Item Version[] - Catalog item versions.
- expand
Projects boolean - expand
Versions boolean - project
Id string
- created_
at str - Date-time when catalog item version was created at.
- created_
by str - The user the entity was created by.
- description str
- A human-friendly description.
- form_
id str - ID of the form associated with this catalog item.
- global_ bool
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- icon_
id str - ID of the icon associated with this catalog item.
- id str
- Id of the catalog item version.
- last_
updated_ strat - Date when the entity was last updated. The date is ISO 8601 and UTC.
- last_
updated_ strby - The user the entity was last updated by.
- name str
- Name of the entity.
- project_
ids Sequence[str] - List of associated project IDs that can be used for requesting this catalog item.
- projects
Sequence[Get
Catalog Item Project] - List of associated projects that can be used for requesting this catalog item.
- schema str
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- source_
id str - LibraryItem source ID.
- source_
name str - LibraryItem source name.
- source_
project_ strid - Project ID with which the catalog item was associated when created.
- types
Sequence[Get
Catalog Item Type] - versions
Sequence[Get
Catalog Item Version] - Catalog item versions.
- expand_
projects bool - expand_
versions bool - project_
id str
- created
At String - Date-time when catalog item version was created at.
- created
By String - The user the entity was created by.
- description String
- A human-friendly description.
- form
Id String - ID of the form associated with this catalog item.
- global Boolean
- Whether to allow this catalog to be shared with multiple projects or to restrict it to the specified project.
- icon
Id String - ID of the icon associated with this catalog item.
- id String
- Id of the catalog item version.
- last
Updated StringAt - Date when the entity was last updated. The date is ISO 8601 and UTC.
- last
Updated StringBy - The user the entity was last updated by.
- name String
- Name of the entity.
- project
Ids List<String> - List of associated project IDs that can be used for requesting this catalog item.
- projects List<Property Map>
- List of associated projects that can be used for requesting this catalog item.
- schema String
- JSON schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
- source
Id String - LibraryItem source ID.
- source
Name String - LibraryItem source name.
- source
Project StringId - Project ID with which the catalog item was associated when created.
- types List<Property Map>
- versions List<Property Map>
- Catalog item versions.
- expand
Projects Boolean - expand
Versions Boolean - project
Id String
Supporting Types
GetCatalogItemProject
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Version string
- Version of the entity, if applicable.
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Version string
- Version of the entity, if applicable.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - version String
- Version of the entity, if applicable.
- description string
- A human-friendly description.
- id string
- The id of catalog item. One of
idornamemust be provided. - name string
- Name of the catalog item. One of
idornamemust be provided. - version string
- Version of the entity, if applicable.
- description str
- A human-friendly description.
- id str
- The id of catalog item. One of
idornamemust be provided. - name str
- Name of the catalog item. One of
idornamemust be provided. - version str
- Version of the entity, if applicable.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - version String
- Version of the entity, if applicable.
GetCatalogItemType
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Version string
- Version of the entity, if applicable.
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided. - Name string
- Name of the catalog item. One of
idornamemust be provided. - Version string
- Version of the entity, if applicable.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - version String
- Version of the entity, if applicable.
- description string
- A human-friendly description.
- id string
- The id of catalog item. One of
idornamemust be provided. - name string
- Name of the catalog item. One of
idornamemust be provided. - version string
- Version of the entity, if applicable.
- description str
- A human-friendly description.
- id str
- The id of catalog item. One of
idornamemust be provided. - name str
- Name of the catalog item. One of
idornamemust be provided. - version str
- Version of the entity, if applicable.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided. - name String
- Name of the catalog item. One of
idornamemust be provided. - version String
- Version of the entity, if applicable.
GetCatalogItemVersion
- Created
At string - Date-time when catalog item version was created at.
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided.
- Created
At string - Date-time when catalog item version was created at.
- Description string
- A human-friendly description.
- Id string
- The id of catalog item. One of
idornamemust be provided.
- created
At String - Date-time when catalog item version was created at.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided.
- created
At string - Date-time when catalog item version was created at.
- description string
- A human-friendly description.
- id string
- The id of catalog item. One of
idornamemust be provided.
- created_
at str - Date-time when catalog item version was created at.
- description str
- A human-friendly description.
- id str
- The id of catalog item. One of
idornamemust be provided.
- created
At String - Date-time when catalog item version was created at.
- description String
- A human-friendly description.
- id String
- The id of catalog item. One of
idornamemust be provided.
Package Details
- Repository
- vra vmware/terraform-provider-vra
- License
- Notes
- This Pulumi package is based on the
vraTerraform Provider.
Viewing docs for vra 0.17.0
published on Tuesday, Mar 10, 2026 by vmware
published on Tuesday, Mar 10, 2026 by vmware
